Login | Register For Free | Help
Search for: (Advanced)

Mailing List Archive: Gentoo: OSX

Error compiling glib 1.2.10

 

 

Gentoo osx RSS feed   Index | Next | Previous | View Threaded


mikeflippin at blindmindseye

Dec 11, 2004, 6:55 PM

Post #1 of 2 (706 views)
Permalink
Error compiling glib 1.2.10

I tried using the libtool that comes with MacOS X's dev tools and i
installed a copy of libtool from ftp.gnu.org into /opt/libtool and added
/opt/libtool/bin to the beginning of my path. Both times, I got this
error. I set the ACCEPT_KEYWORDS var equal to "ppc ~ppc missing"

/bin/sh ./libtool --mode=compile gcc -DHAVE_CONFIG_H -I. -I. -I.
-DG_LOG_DOMAIN=g_log_domain_glib -DG_ENABLE_DEBUG -O2 -pipe -fPIC
-Wall -D_REENTRANT -c gcache.c
./libtool: line 1: s%^.*/%%: No such file or directory
./libtool: line 1: s%^.*/%%: No such file or directory
./libtool: line 1: -e: command not found
./libtool: line 1: -e: command not found
*** Warning: inferring the mode of operation is deprecated.
*** Future versions of Libtool will require -mode=MODE be specified.
./libtool: line 1: -e: command not found
./libtool: line 1: -e: command not found
./libtool: line 1: -e: command not found
./libtool: line 1: -e: command not found
./libtool: line 1: -e: command not found
./libtool: line 1: -e: command not found
./libtool: line 1: -e: command not found
./libtool: line 1: -e: command not found
./libtool: line 1: -e: command not found
./libtool: line 1: -e: command not found
./libtool: line 1: -e: command not found
./libtool: line 1: -e: command not found
./libtool: line 1: -e: command not found
./libtool: line 1: -e: command not found
./libtool: line 1: -e: command not found
: compile: cannot determine name of library object from `'
make[2]: *** [gcache.lo] Error 1
make[2]: *** Waiting for unfinished jobs....
*** Warning: inferring the mode of operation is deprecated.
*** Future versions of Libtool will require -mode=MODE be specified.
./libtool: line 1: -e: command not found
./libtool: line 1: -e: command not found
./libtool: line 1: -e: command not found
./libtool: line 1: -e: command not found
./libtool: line 1: -e: command not found
./libtool: line 1: -e: command not found
./libtool: line 1: -e: command not found
./libtool: line 1: -e: command not found
./libtool: line 1: -e: command not found
./libtool: line 1: -e: command not found
./libtool: line 1: -e: command not found
./libtool: line 1: -e: command not found
./libtool: line 1: -e: command not found
./libtool: line 1: -e: command not found
./libtool: line 1: -e: command not found
: compile: cannot determine name of library object from `'
make[2]: *** [garray.lo] Error 1
make[1]: *** [all-recursive] Error 1
make: *** [all-recursive-am] Error 2

Any suggestions?

--
gentoo-osx [at] gentoo mailing list


clmason at gmail

Dec 11, 2004, 7:35 PM

Post #2 of 2 (657 views)
Permalink
Re: Error compiling glib 1.2.10 [In reply to]

On Sat, 11 Dec 2004 20:55:36 -0500, Mike Flippin
<mikeflippin [at] blindmindseye> wrote:
> I tried using the libtool that comes with MacOS X's dev tools and i
> installed a copy of libtool from ftp.gnu.org into /opt/libtool and added
> /opt/libtool/bin to the beginning of my path. Both times, I got this
> error. I set the ACCEPT_KEYWORDS var equal to "ppc ~ppc missing"
>
[...lots o' errors]
>
> Any suggestions?
>

Cut back on the drugs! :)

(seriously, you can't use non-gentoo stuff and/or ppc keywords or it will fubar)



Chris

--
gentoo-osx [at] gentoo mailing list

Gentoo osx RSS feed   Index | Next | Previous | View Threaded
 
 


Interested in having your list archived? Contact Gossamer Threads
 
  Web Applications & Managed Hosting Powered by Gossamer Threads Inc.